HtmlEffect (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.component.html.HtmlEffect class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlEffect

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIEffect
                  org.richfaces.component.html.HtmlEffect

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxSupport

    public class HtmlEffect

extends UIEffect

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlEffect()`

Method Summary
`java.lang.String` | `getEvent()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFor()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParams()`
`java.lang.String` | `getTargetId()`
`java.lang.String` | `getType()`
`boolean` | `isDisableDefault()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setDisableDefault(boolean _disableDefault)`
`void` | `setEvent(java.lang.String _event)`
`void` | `setFor(java.lang.String _for)`
`void` | `setName(java.lang.String _name)`
`void` | `setParams(java.lang.String _params)`
`void` | `setTargetId(java.lang.String _targetId)`
`void` | `setType(java.lang.String _type)`

Methods inherited from class org.richfaces.component.UIEffect
`getEventString, setParent, setParentProperties`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlEffect

    public HtmlEffect()

Method Detail

### isDisableDefault

    public boolean isDisableDefault()

### setDisableDefault

    public void setDisableDefault(boolean _disableDefault)

### getEvent

    public java.lang.String getEvent()

  Specified by:
    `getEvent` in interface `org.ajax4jsf.component.AjaxSupport`
  Specified by:
    `getEvent` in class `UIEffect`

### setEvent

    public void setEvent(java.lang.String _event)

  Specified by:
    `setEvent` in interface `org.ajax4jsf.component.AjaxSupport`
  Specified by:
    `setEvent` in class `UIEffect`

### getFor

    public java.lang.String getFor()

  Specified by:
    `getFor` in class `UIEffect`

### setFor

    public void setFor(java.lang.String _for)

  Specified by:
    `setFor` in class `UIEffect`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String _name)

### getParams

    public java.lang.String getParams()

  Specified by:
    `getParams` in class `UIEffect`

### setParams

    public void setParams(java.lang.String _params)

  Specified by:
    `setParams` in class `UIEffect`

### getTargetId

    public java.lang.String getTargetId()

  Specified by:
    `getTargetId` in class `UIEffect`

### setTargetId

    public void setTargetId(java.lang.String _targetId)

  Specified by:
    `setTargetId` in class `UIEffect`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in class `UIEffect`

### setType

    public void setType(java.lang.String _type)

  Specified by:
    `setType` in class `UIEffect`

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.